create table cms_trg_l1_subsystem.EMTF_ALGO (
ID VARCHAR2(256) CONSTRAINT PKALGONotNull NOT NULL,
CREATION_DATE TIMESTAMP(6) CONSTRAINT ALGOCDNotNull NOT NULL,
DESCRIPTION VARCHAR2(512),
CONF CLOB,
AUTHOR VARCHAR2(256)
);

create table cms_trg_l1_subsystem.EMTF_HW (
ID VARCHAR2(256) CONSTRAINT PKHWNotNull NOT NULL,
CREATION_DATE TIMESTAMP(6) CONSTRAINT HWCDNotNull NOT NULL,
DESCRIPTION VARCHAR2(512),
CONF CLOB,
AUTHOR VARCHAR2(256)
);

create table cms_trg_l1_subsystem.EMTF_INFRA (
ID VARCHAR2(256) CONSTRAINT PKINFRANotNull NOT NULL,
CREATION_DATE TIMESTAMP(6) CONSTRAINT INFRACDNotNull NOT NULL,
DESCRIPTION VARCHAR2(512),
CONF CLOB,
AUTHOR VARCHAR2(256)
);

create table cms_trg_l1_subsystem.EMTF_INFRA_KEYS (
ID VARCHAR2(256) CONSTRAINT PKINKNotNull NOT NULL,
CREATION_DATE TIMESTAMP(6) CONSTRAINT INKCDNotNull NOT NULL,
DESCRIPTION VARCHAR2(512),
AUTHOR VARCHAR2(256),
AMC13 VARCHAR2(256),
MTF7 VARCHAR2(256)
);

create table cms_trg_l1_subsystem.EMTF_KEYS (
ID VARCHAR2(256) CONSTRAINT PKNotNull NOT NULL,
CREATION_DATE TIMESTAMP(6) CONSTRAINT NotNull NOT NULL,
DESCRIPTION VARCHAR2(512),
AUTHOR VARCHAR2(256),
ALGO VARCHAR2(256),
HW VARCHAR2(256),
INFRA VARCHAR2(256)
);

insert into cms_trg_l1_subsystem.EMTF_KEYS (ID,CREATION_DATE,DESCRIPTION,AUTHOR,ALGO,HW,INFRA) values ('EMTF_Base_Key/v0',TO_TIMESTAMP_TZ('21-Sep-2016 18:15:28 -0200','DD-Mon-RR HH24:MI:SS TZHTZM'), 'Dummy', 'Self', 'EMTF_ALGO/v0','EMTF_HW/v1','EMTF_Base_Infra_Key/v2')

insert into cms_trg_l1_subsystem.EMTF_ALGO (ID,CREATION_DATE,DESCRIPTION,AUTHOR,CONF) values ('EMTF_ALGO_BASE/v0',TO_TIMESTAMP_TZ('21-Sep-2016 18:15:28 -0200','DD-Mon-RR HH24:MI:SS TZHTZM'), 'Dummy2', 'Self',
'blablabla\nlalala');

insert into cms_trg_l1_subsystem.EMTF_HW (ID,CREATION_DATE,DESCRIPTION,AUTHOR,CONF) values ('EMTF_HW/v1',TO_TIMESTAMP_TZ('21-Sep-2016 18:15:28 -0200','DD-Mon-RR HH24:MI:SS TZHTZM'), 'Dummy3', 'Self',
'lala');

insert into cms_trg_l1_subsystem.EMTF_INFRA (ID,CREATION_DATE,DESCRIPTION,AUTHOR,CONF) values ('EMTF_MTF7_base_conf/v5',TO_TIMESTAMP_TZ('21-Sep-2016 18:15:28 -0200','DD-Mon-RR HH24:MI:SS TZHTZM'), 'Dummy3', 'Self', 'My lovliest XML');

insert into cms_trg_l1_subsystem.EMTF_INFRA (ID,CREATION_DATE,DESCRIPTION,AUTHOR,CONF) values ('EMTF_AMC13_base_conf/v6',TO_TIMESTAMP_TZ('21-Sep-2016 18:15:28 -0200','DD-Mon-RR HH24:MI:SS TZHTZM'), 'Dummy4', 'Self', 'My another xml');

insert into cms_trg_l1_subsystem.EMTF_INFRA_KEYS (ID,CREATION_DATE,DESCRIPTION,AUTHOR,AMC13,MTF7) values ('EMTF_Base_Infra_Key/v2',TO_TIMESTAMP_TZ('21-Sep-2016 18:15:28 -0200','DD-Mon-RR HH24:MI:SS TZHTZM'),'Dummy4', 'Self', 'EMTF_AMC13_base_conf/v6', 'EMTF_MTF7_base_conf/v5');
